package com.yunfeiyun.agmp.common.web.system.mapper;

import com.yunfeiyun.agmp.common.web.system.domain.SysCusarea;

import java.util.List;

/**
 * 区域 数据层
 *
 */
public interface SysCusareaMapper
{
    /**
     * 查询区域
     *
     * @param cusareaId 区域主键
     * @return 区域
     */
    public SysCusarea selectSysCusareaByCusareaId(String cusareaId);

    /**
     * 查询区域列表
     *
     * @param sysCusarea 区域
     * @return 区域集合
     */
    public List<SysCusarea> selectSysCusareaList(SysCusarea sysCusarea);


    /**
     * 新增区域参数配置
     * 
     * @param sysCusarea 区域参数配置信息
     * @return 结果
     */
    public int insertSysCusarea(SysCusarea sysCusarea);

    /**
     * 修改区域参数配置
     * 
     * @param sysCusarea 参数区域配置信息
     * @return 结果
     */
    public int updateSysCusarea(SysCusarea sysCusarea);


    /**
     * 删除区域
     *
     * @param cusareaId 区域主键
     * @return 结果
     */
    public int deleteSysCusareaByCusareaId(String cusareaId);

    /**
     * 批量删除区域
     *
     * @param cusareaIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysCusareaByCusareaIds(String[] cusareaIds);

}
